
---
apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition
metadata:
  annotations:
    controller-gen.kubebuilder.io/version: v0.4.1
  creationTimestamp: null
  name: poolusers.broker.kanod.io
spec:
  group: broker.kanod.io
  names:
    kind: PoolUser
    listKind: PoolUserList
    plural: poolusers
    singular: pooluser
  scope: Namespaced
  versions:
  - name: v1
    schema:
      openAPIV3Schema:
        description: PoolUser is the Schema for the poolusers API
        properties:
          apiVersion:
            description: 'APIVersion defines the versioned schema of this representation
              of an object. Servers should convert recognized schemas to the latest
              internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources'
            type: string
          kind:
            description: 'Kind is a string value representing the REST resource this
              object represents. Servers may infer this from the endpoint the client
              submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds'
            type: string
          metadata:
            type: object
          spec:
            description: PoolUserSpec defines the desired state of PoolUser
            properties:
              credentialName:
                description: CredentialName is the name of the secret containing the
                  password associated with the pool user
                type: string
              limits:
                description: Limits imposed on the resources attached to this user.
                items:
                  properties:
                    label:
                      description: Label is the label on the baremetal host that is
                        checked
                      type: string
                    max:
                      description: Max is the maximum number of machines with this
                        configuration for this user.
                      type: integer
                    value:
                      description: The machine is counted if the label has this value.
                        If not specified, it is the presence of the label that is
                        counted.
                      type: string
                  required:
                  - label
                  - max
                  type: object
                type: array
              maxServers:
                default: -1
                description: MaxServers it the maximum number of servers that can
                  be registered for this user
                type: integer
            required:
            - credentialName
            type: object
          status:
            description: PoolUserStatus defines the observed state of PoolUser
            properties:
              usage:
                items:
                  properties:
                    current:
                      description: Current is the current number of machines with
                        this configuration used by this user.
                      type: integer
                    label:
                      description: Label is the label on the baremetal host that is
                        checked
                      type: string
                    value:
                      description: The machine is counted if the label has this value.
                        If not specified It is the presence of the label that is counted.
                      type: string
                  required:
                  - current
                  - label
                  type: object
                type: array
              used:
                type: integer
            required:
            - usage
            - used
            type: object
        type: object
    served: true
    storage: true
    subresources:
      status: {}
status:
  acceptedNames:
    kind: ""
    plural: ""
  conditions: []
  storedVersions: []
